REM Command file to create the 64-bit SNF4CGP module for Windows.
REM
REM Copyright (c) 2013 ARM Research Corporation
setlocal

set TEMP_DIR=CGPSNF-TEMP
set MOD_DIR=CGPSNF
set MOD_PATH=%TEMP_DIR%\%MOD_DIR%
set MOD_ZIPFILE=CGPSNF-MODULE.zip

DEL %MOD_ZIPFILE%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

RMDIR /S /Q %TEMP_DIR%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

MKDIR %TEMP_DIR%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

MKDIR %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

MKDIR %MOD_PATH%\hold
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

MKDIR %MOD_PATH%\Doc
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY SNF4CGP.exe %MOD_PATH%\CGPSNF.exe
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY SNFClient.exe %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY SNF2Check.exe %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY curl.exe %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY Scripts\getRulebase.cmd.sample %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY test_files\*.txt %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY test_files\cleanmsg.txt %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY config_files\*.sample %MOD_PATH%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

COPY Doc\*.* %MOD_PATH%\Doc
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

CD %TEMP_DIR%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

7z a -tzip ..\%MOD_ZIPFILE% %MOD_DIR%\
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

CD ..
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%

RMDIR /S /Q %TEMP_DIR%
IF %ERRORLEVEL% NEQ 0 EXIT /B %ERRORLEVEL%
